﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Threading.Tasks;

namespace backstage.Models.Users
{
    public class Department
    {
        //public int Id { get; set; }

        public int merchant_id { get; set; }

        public string address { get; set; }
        public string country_id { get; set; }
        public string postcode { get; set; }
        public string phone { get; set; }
        public string fax { get; set; }
        public string vatid { get; set; }
        public string name { get; set; }
        public string name_en { get; set; }
        public int enabled { get; set; }
        public DateTime creation_date { get; set; }
        public DateTime vatid_verify { get; set; }
        public DateTime deposit_book_verify { get; set; }
        public DateTime vatdeposit_book_verify { get; set; }
        public DateTime user_natid_verify { get; set; }

        public DateTime enabled_transaction { get; set; }
        public string merchant_type { get; set; }
        public string merchant_level{ get; set; }
        public int tts { get; set; }


    }
    public class DepartmentsResponse
    {
        public int r { get; set; }
        public string m { get; set; }
        public string flags { get; set; }
        public int count { get; set; }
        public List<Department> merchants { get; set; }
    }
}
