﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace backstage.Models.Users
{
    public class UserForChangePassword:IValidatableObject
    {
        public string Username { get; set; }
        [Required]
        public string pwd { get; set; }
        [Required]
        public string NewPassword { get; set; }
        [Required]
        public string ConfirmNewPassword { get; set; }

        public IEnumerable<ValidationResult> Validate(ValidationContext validationContext)
        {
            if (NewPassword != ConfirmNewPassword)
            {
                yield return new ValidationResult("兩次密碼輸入不相符", new string[] { "ConfirmNewPassword" });
            }
        }
    }
}
