﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Threading.Tasks;

namespace backstage.Models.Users
{
    public class User
    {

        public int uid { get; set; }
        public string name { get; set; }
        public string name_en { get; set; }
        public string username { get; set; }

        public string pwd { get; set; }

        public int locked { get; set; }
        public DateTime creation_date { get; set; }
        public int enabled { get; set; }
        public DateTime birthdate { get; set; }
        public string marital_status { get; set; }
        public string gender { get; set; }
        public string education { get; set; }
        public string natid { get; set; }
        public string lang { get; set; }




        //[NotMapped]
        //public string newPassword { get; set; }
        //[NotMapped]
        //public string ConfirmNewPassword { get; set; }
        //public byte[] PasswordHash { get; set; }
        //public byte[] PasswordSalt { get; set; }
        //public int role { get; set; }
    }
    public class UserLogin
    {
        //public int Id { get; set; }

        public int r { get; set; }

        public string token { get; set; }
        public string m { get; set; }
        public string flags { get; set; }

    }

    public class UserResponse
    {
        
        public int r { get; set; }
        public string m { get; set; }
        public int userCount { get; set; }
        public List<User> Users{ get; set; }
   

    }

}
